=== test/Makefile ===
# Makefile for spmodel library

include ../Config.mk

SUBDIRS=ae_module at_module au_module aq_module \
	ee_module eee_module eigmatrix esc_module et_module eq_module \
	lumatrix w_module wa_module wt_module wu_module wtu_module wq_module \
	eee_mpi_module w_mpi_module wa_mpi_module wt_mpi_module \
	l_module la_module w_zonal_module wa_zonal_module wt_zonal_module \
	at_galerkin_module misc

NMPIDIRS=eigmatrix ae_module at_module au_module aq_module \
	ee_module eee_module esc_module et_module eq_module \
	w_module wa_module wt_module wu_module wtu_module wq_module \
	l_module la_module w_zonal_module wa_zonal_module wt_zonal_module 

MPIDIRS=eee_mpi_module w_mpi_module wa_mpi_module wt_mpi_module

ifeq (X$(MPIFC),X)
	TESTDIRS=$(NMPIDIRS)
else
	TESTDIRS=$(NMPIDIRS) $(MPIDIRS)
endif

all: clean

test:
	for i in $(TESTDIRS) ; do \
	  cd $$i ; $(MAKE) test ;  \
	  cd ../ ; \
	done

clean: clean.local clean.subdirs

clean.subdirs:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; $(MAKE) clean ; \
	  cd ../ ; \
	done

clean.local:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc
