=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for spmodel library document
 #
-# Version:: $Id: Makefile,v 1.20 2009-02-28 19:55:43 uwabami Exp $
+# Version:: $Id: Makefile,v 1.23 2010-04-06 03:35:23 uwabami Exp $
 #
 # include ../Config.mk
 
@@ -22,7 +22,7 @@
 MAINPAGE=doc/spml_modules.rdoc
 
 PDF=chebyshev.pdf cheb_gal.pdf chebyshev_origin.pdf \
-	w_module.pdf spectral_radial.pdf
+	w_module.pdf w_module_sjpack.pdf spectral_radial.pdf
 HTML=INSTALL.html INSTALL.html.ja
 
 all: $(PDF) html
@@ -39,10 +39,11 @@
 
 clean:
 	-rm -f *.pdf
+	-rm -rf INSTALL.html INSTALL.html.ja
 
 clean.all: clean
 	-make -f Makefile.rd2html clean
-	-rm -rf $(HTMLDIR) INSTALL.html INSTALL.html.ja
+	-rm -rf $(HTMLDIR)/
 
 distclean: clean.all
 .SUFFIXES: .tex .pdf
