=== src-mpi/Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 all: $(TARGET)
 
 install: $(TARGET)
-	test -d $(DEST_INC) || install -d $(DEST_INC)
-	install -m 644 $(MODS) $(MODINCS) $(DEST_INC)
+	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
+	$(INSTALL) $(MODS) $(MODINCS) $(DEST_INC)
 	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
-		install -m 644 work.pc $(DEST_INC)/work.pc ;\
+		$(INSTALL) work.pc $(DEST_INC)/work.pc ;\
 	fi
 
 OBJS = eee_mpi_module.o w_base_mpi_module.o w_deriv_mpi_module.o \
