=== test/aq_module/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for spmodel library
 #
-# $Id: Makefile,v 1.3 2009-01-16 16:23:04 uwabami Exp $
+# $Id: Makefile,v 1.4 2009-07-24 09:19:53 uwabami Exp $
 # 
 
 
@@ -16,8 +16,7 @@
 test:	aq_test_base1d.out aq_test_base2d.out  \
 	aq_test_weight.out aq_test_intavr.out  \
 	aq_test_boundary_tau_1d.out aq_test_boundary_tau_2d.out \
-	aq_test_boundary_grid_1d.out aq_test_boundary_grid_2d.out \
-	aq_test1.out aq_test2.out 
+	aq_test_boundary_grid_1d.out aq_test_boundary_grid_2d.out 
 	./aq_test_base1d.out
 	./aq_test_base2d.out
 	./aq_test_weight.out
@@ -26,7 +25,6 @@
 	./aq_test_boundary_tau_2d.out
 	./aq_test_boundary_grid_1d.out
 	./aq_test_boundary_grid_2d.out
-	./aq_test1.out aq_test2.out 
 
 .SUFFIXES: .f90 .out
