=== debian/changelog ===
spml-g95 (0.6.1-1) unstable; urgency=low

  * Imported Upstream version 0.6.1
  * Using tarball.mk for serial/parallel build

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Jan 2011 10:28:59 +0900

spml-g95 (0.5.0cvs20090926-3) unstable; urgency=low

  * missing dependencies: lapack-g95 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 13 Oct 2009 17:56:18 +0900

spml-g95 (0.5.0cvs20090926-2) unstable; urgency=low

  * replace lumatrix_f77.f
    - lumatrix_f77_vec.f is default now!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 12 Oct 2009 07:26:52 +0900

spml-g95 (0.5.0cvs20090926-1) unstable; urgency=low

  * Imported Upstream version 0.5.0cvs20090926
  * remove threadprivate directive
    - This directive work very few environment... sigh.
    - see debian/patches/RemoveThreadPrivate

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 02 Oct 2009 10:55:57 +0900
